Namespace
library
Image / Tag
swift:5.10.0-focal
Content Digest
sha256:3f34bbd3c8c22ba2e9837993b640d17804fd8bb42d4d7c3a0c5d03312d672432
Details
Created

2024-06-05 01:17:55 UTC

Size

735 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    20.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.10-release

SWIFT_PLATFORM

ubuntu20.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.10-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:560c024910bebac6b404791af28ebd48a8289303b8377d17b67ffdfe52754f2a - 3.71% (27.3 MB)

[#001] sha256:eb0388bac07395f567f4e9909e255a77ab17211f86e6d8319365678d8a7830aa - 15.63% (115 MB)

[#002] sha256:d36a1fed94926055f47edeabcc01cda8a121b36ffcec62e6089ac900c53f9822 - 80.66% (593 MB)

[#003] sha256:04bcbb78e15550ac476ce4655b86623773d8a90af0f9e0a9ee9c5c3fef6be6c5 - 0.0% (176 Bytes)


History
2024-06-03 17:10:41 UTC

/bin/sh -c #(nop) ARG RELEASE

2024-06-03 17:10:41 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2024-06-03 17:10:41 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2024-06-03 17:10:41 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2024-06-03 17:10:43 UTC

/bin/sh -c #(nop) ADD file:e7cff353f027ecf0a2cb1cdd51714de3b083a11a0d965f104489f9a7e6925056 in /

2024-06-03 17:10:43 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-06-05 01:14:36 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2024-06-05 01:14:36 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2024-06-05 01:16:56 UTC

/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-9-dev libpython3.8 libsqlite3-0 libstdc++-9-dev libxml2-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/*

2024-06-05 01:16:57 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2024-06-05 01:16:57 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu20.04

2024-06-05 01:16:57 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.10-release

2024-06-05 01:16:58 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.10-RELEASE

2024-06-05 01:16:58 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2024-06-05 01:16:58 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.10-release SWIFT_VERSION=swift-5.10-RELEASE SWIFT_WEBROOT=https://download.swift.org

2024-06-05 01:17:49 UTC

/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl

2024-06-05 01:17:55 UTC

/bin/sh -c swift --version

Details
Created

2024-06-05 01:47:09 UTC

Size

725 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    20.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.10-release

SWIFT_PLATFORM

ubuntu20.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.10-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:8cddf7b9c8a772efac198a7ae8bdfe15df2e065bb85f15cb8a223f6b3a2dbf9c - 3.58% (25.9 MB)

[#001] sha256:de6d1072be565928aaa8e57dff97aede1a9294f4915746d1a539934761724e2b - 15.42% (112 MB)

[#002] sha256:7565221655742c708b0234cc1a9df59e60fb193a9a37ce70421a241122644a28 - 81.0% (588 MB)

[#003] sha256:98fdbc718d98948ba86b13f6cc26e4ddc76732d7eb9ff635dc5f8c11ae01ba0b - 0.0% (175 Bytes)


History
2024-06-03 16:52:57 UTC

/bin/sh -c #(nop) ARG RELEASE

2024-06-03 16:52:57 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2024-06-03 16:52:57 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2024-06-03 16:52:57 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2024-06-03 16:52:59 UTC

/bin/sh -c #(nop) ADD file:6d8cc056ee741f09a6c7d965d8e2027d80ed2eccbfb0312593ce52d9256db437 in /

2024-06-03 16:52:59 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-06-05 01:42:23 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2024-06-05 01:42:23 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2024-06-05 01:46:11 UTC

/bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-9-dev libpython3.8 libsqlite3-0 libstdc++-9-dev libxml2-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/*

2024-06-05 01:46:13 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2024-06-05 01:46:13 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubuntu20.04

2024-06-05 01:46:13 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.10-release

2024-06-05 01:46:13 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.10-RELEASE

2024-06-05 01:46:13 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2024-06-05 01:46:13 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.10-release SWIFT_VERSION=swift-5.10-RELEASE SWIFT_WEBROOT=https://download.swift.org

2024-06-05 01:46:55 UTC

/bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl

2024-06-05 01:47:09 UTC

/bin/sh -c swift --version

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete